#include "vram.h"

#include <string.h>

#include "sdk/video.h"

mem_xfer_t mem_xfer_queue[MAX_XFERS];
uint8_t mem_xfer_queue_size;

void vram_init(void) { mem_xfer_queue_size = 0; }

void vram_update(void) {
    mem_xfer_t *xfer = &mem_xfer_queue[0];
    for (uint8_t i = 0; i < mem_xfer_queue_size; i++) {
        vram_memcpy((uint16_t)xfer->dest, (void *)xfer->source, xfer->size);
        xfer++;
    }
    mem_xfer_queue_size = 0;
}
